Bug 1292409 - [RFE] Allow root CA configuration for SSL enabled Openstack connectivity
Summary: [RFE] Allow root CA configuration for SSL enabled Openstack connectivity
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.5.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.6.0
Assignee: Ladislav Smola
QA Contact: Ola Pavlenko
URL:
Whiteboard: openstack:configuration
Depends On:
Blocks: 1292488
TreeView+ depends on / blocked
 
Reported: 2015-12-17 11:12 UTC by Marius Cornea
Modified: 2017-08-30 03:46 UTC (History)
7 users (show)

Fixed In Version: 5.6.0.0
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1292488 (view as bug list)
Environment:
Last Closed: 2016-06-29 15:22:26 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1348 0 normal SHIPPED_LIVE CFME 5.6.0 bug fixes and enhancement update 2016-06-29 18:50:04 UTC

Description Marius Cornea 2015-12-17 11:12:50 UTC
Description of problem:
We need to be able to specify a root CA certificate used for the Openstack SSL connectivity. 

Upstream PR:
https://github.com/ManageIQ/manageiq/pull/5831

Comment 3 Ronnie Rasouli 2016-01-26 09:51:26 UTC
tested on 5.5.2.2.20160121120249_395c086
with SSL configured on 7.3 

Copied both CA for undercloud and overcloud to CFME

modified in configure-> configuration-> advanced 
ssl:
ssl_ca_file: "/etc/pki/tls/certs/ca-bundle.crt"
ssl_ca_path

Both undercloud and overcloud with SSL are working

Comment 4 Ronnie Rasouli 2016-01-26 10:00:34 UTC
target release 5.6.0

Comment 5 Ronnie Rasouli 2016-06-14 08:39:36 UTC
Copied both CA for undercloud and overcloud to CFME

modified in configure-> configuration-> advanced 
ssl:
ssl_ca_file: "/etc/pki/tls/certs/ca-bundle.crt"
ssl_ca_path

Adding cloud provider works

Comment 7 errata-xmlrpc 2016-06-29 15:22:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1348


Note You need to log in before you can comment on or make changes to this bug.